Valorant API Unofficial docs
API Reference Activities
POST

Activity Lookup

Look up the activity ID of a party. The activity ID is required for the join link endpoints, such as the Shared Join Link and Disable Join Link endpoints.

Server pp.sgp.pvp.net Auth Bearer
POST https://{cluster}.pp.sgp.pvp.net/activities/v1/lookup
Try this request in the browser with your own values

Headers

Authorization string required
Value Bearer {auth token}— From the Entitlements Token endpoint or Riot auth

URL parameters

cluster enum required

euc1, usw2, apse1 or apne1: the SGP cluster for the region.

euc1usw2apse1apne1
How to get it

There are 4 SGP clusters:

Cluster ID Region
euc1 Europe
usw2 North America / Brazil / LATAM / PBE
apse1 Asia Pacific / Oceania
apne1 Japan / Korea

Other variables

auth token From the Entitlements Token endpoint or Riot auth.
Details
Can be obtained locally with the Entitlements Token endpoint or remotely by first using the Auth Cookies endpoint then using the cookies with the Auth Request endpoint
Authentication

Body

product literal
party string · uuid

The ID of the party to look up the activity for

Response

activityId string · uuid

Activity ID